## 2020-04-02 Campagne de debug Jitsi

Contact: Quentin

### Description du problème

Les conversations à 3+ donc relayées par le serveur ne fonctionnent pas bien.
Louison m'a rapporté que ça avait marché pour lui (3 utilisateurs avec un Webkit).
Mais moi ça a échoué hier soir (01/04/2020).
Ça échoue toujours pareil Jitsi : on entend 2 personnes sur 3 ou on voit 2 personnes sur 3, on recharge la page et c'est quelqu'un d'autre pour qui ça ne fonctionne plus. Souvent c'est que dans un sens.
À chaque fois en passant sur Facebook Messenger, le problème est résolu instantanément.
Par contre Facebook Messenger impose Google Chrome/Chromium pour les visio de groupe (et ne supporte donc pas Firefox).

D'où mes 2 suspicions :
  - Firefox a un bug quelconque dans sa pile WebRTC déclenché par le mode conversation de groupe
  - Jitsi a un problème avec les déconnexions/changement de connexion/petit hoquets du réseau et n'arrive pas à se reconnecter. Ça pourrait être rendu pire à certain moment de la journée comme le soir où le réseau est plus sollicité. Et ce serait provoqué lors du reload on repasse de 3 à 2, en P2P donc puis de nouveau de 2 à 3.

Le truc c'est que j'aimerais bien mieux comprendre le problème

### Campagne de tests

Nous voulons tester si la stack logiciel de l'utilisateur à un impact, les conditions réseaux ont un impact et collecter des données.
Pour celà, nous voulons organiser un test quotidien, potentiellement à des heures différentes pour tracker le problème sur un room [debuggons](https://jitsi.deuxfleurs.fr/debuggons).
Les données suivantes seraient intéressantes :
  - OS
  - Version du navigateur
  - Votre ping vers deuxfleurs.fr
  - Traces en tout genre Jitsi

#### 2020-04-02 18:00 Premier test

Premier appel : Tout le monde utilise Firefox
Second appel : Tout le monde utilise un Chromium ou dérivé
